Bugzilla will be upgraded to version 5.0. The upgrade date is tentatively scheduled for 2 December 2018, pending final testing and feedback.
Bug 616661 - Alert mapping for email addresses not quite right from 2.3.1 -> 2.4 -- off-by-ones?
Alert mapping for email addresses not quite right from 2.3.1 -> 2.4 -- off-by...
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Alerts (Show other bugs)
1.3
All Linux
urgent Severity urgent (vote)
: ---
: ---
Assigned To: Joseph Marques
Corey Welton
:
: 616837 (view as bug list)
Depends On:
Blocks: jon-sprint12-bugs 614432
  Show dependency treegraph
 
Reported: 2010-07-21 01:03 EDT by Corey Welton
Modified: 2010-08-12 12:59 EDT (History)
2 users (show)

See Also:
Fixed In Version: 2.4
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-12 12:59:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
alert2 (7.35 KB, image/png)
2010-07-21 01:09 EDT, Corey Welton
no flags Details
alert 3 - notification lists (13.26 KB, image/png)
2010-07-21 01:10 EDT, Corey Welton
no flags Details
alert 3 - notification actions (6.09 KB, image/png)
2010-07-21 01:10 EDT, Corey Welton
no flags Details

  None (edit)
Description Corey Welton 2010-07-21 01:03:48 EDT
Description of problem:
Fields from some alerts are getting comingled/moved over to other alerts, following an upgrade. Something is not being parsed right.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.  Created 3 alerts in jon 2.3.1:

* "Alert1": 
  Linux Platform 
  Memory > 0.1B
  Notification method: cwelton+alert1@redhat.com

* "Alert2"
   JBoss AS JVM
   Availability DOWN
   Notification Method: cwelton+alert2@redhat.com

* "Alert3" 
   RHQ Agent
   JVM Active Threads > -1.0   
   Notification Method:  
      Notify Roles (All Resources Role, Super User Role)
      Notify JON Users  (username - rhqadmin)
      cwelton+alert3@redhat.com

2.  Shutdown server, upgrade to 2.4
3.  After server is up and running, Subsystem Views > Alert Definitions
4.  Click on each alert name and scroll to "Notification Actions"; note count.
5.  Click "Edit" in "Notification Actions" for each; examine notifications

  
Actual results:

For the scenario above, we would expect

Alert1 to have 1 action
Alert2 to have 1 action
Alert 3 to have 3 actions
 
Expected results:

Alert1 has 0 action
Alert2 has 1 action
Alert3 has 4 actions

Furthermore, the email addresses do not match up appropriately for each Alert, and are pre-pended/appended with commas [see forthcoming screenshot].

Additional info:
Comment 1 Corey Welton 2010-07-21 01:09:30 EDT
Created attachment 433294 [details]
alert2
Comment 2 Corey Welton 2010-07-21 01:10:07 EDT
Created attachment 433295 [details]
alert 3 - notification lists
Comment 3 Corey Welton 2010-07-21 01:10:32 EDT
Created attachment 433296 [details]
alert 3 - notification actions
Comment 4 Joseph Marques 2010-07-21 01:43:31 EDT
commit 1d25a6cec3aa71897ad109ddcad0cade752ae289
Author: Joseph Marques <joseph@redhat.com>
Date:   Wed Jul 21 01:39:06 2010 -0400

BZ-616661: keep alert notifications sticky to the definitions that defined them
    
* was incrementing the definitionId counter before persisting the configuration
* stop adding leading/trailing ',' to email-based notifications
** this would only occur when multiple notifications were defined for an alert definition
** if an alert definition would only have email-based notifications, the upgrade did not add the extra ','
Comment 5 Charles Crouch 2010-07-21 11:55:56 EDT
*** Bug 616837 has been marked as a duplicate of this bug. ***
Comment 6 Corey Welton 2010-07-21 22:10:11 EDT
QA Verified, extra commas are gone and alert notifications line up with their corresponding alerts.
Comment 7 Corey Welton 2010-08-12 12:59:57 EDT
Mass-closure of verified bugs against JON.

Note You need to log in before you can comment on or make changes to this bug.